Subject: bug#54487: 29.0.50; connection-local value for `shell-file-name' not set in Dired buffers over Tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Mar 2022 16:02:09 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> If the optional POSIX argument is non-nil, ARGUMENT is quoted
>> according to POSIX rules.
>
> Thanks.
>
> Please augment the last sentence by using "according to POSIX shell
> quoting rules, regardless of the system's shell."  Or something
> similar.

Sure. I'm just testing the full patch, and it looks promising.

While I'm at this, I'm thinking whether I shall change computing of grep
defaults to connection-local variables. This would be more in line with
handling such local variables in recent Emacsen. WDYT?

Best regards, Michael.